package de.janschejbal.p2pbluetoothtest.util;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.IntentFilter;

public abstract class SimpleReceiver extends BroadcastReceiver {

	protected final Context context;
	
	public SimpleReceiver(Context context) {
		this.context = context;
	}
	
	/**
	 * Automatically register some broadcasts that you want to receive.
	 * Don't forget to override onReceive.
	 * 
	 * @param manager
	 * @param broadcastActions
	 */
	public SimpleReceiver(Context context, String ... broadcastActions) {
		this(context);
		IntentFilter filter = new IntentFilter();
		for (String action : broadcastActions) filter.addAction(action);
		context.registerReceiver(this, filter);
	}

	/**
	 * Close the collector.
	 * Be sure to call through to this if you registered receivers in the constructor!
	 */
	public void close() {
		try {
			context.unregisterReceiver(this);
		} catch (Exception e) {
			// Ignore if not registered
		}
	}	

}
